Complete passkey login
curl --request POST \
--url https://testnet.edel-api.xyz/v1/auth/login/complete \
--header 'Content-Type: application/json' \
--data '
{
"challengeIdentifier": "<string>",
"firstFactor": {
"kind": "Fido2",
"credentialAssertion": {
"credId": "<string>",
"clientData": "<string>",
"signature": "<string>",
"authenticatorData": "<string>",
"algorithm": "<string>",
"userHandle": "<string>"
}
}
}
'import requests
url = "https://testnet.edel-api.xyz/v1/auth/login/complete"
payload = {
"challengeIdentifier": "<string>",
"firstFactor": {
"kind": "Fido2",
"credentialAssertion": {
"credId": "<string>",
"clientData": "<string>",
"signature": "<string>",
"authenticatorData": "<string>",
"algorithm": "<string>",
"userHandle": "<string>"
}
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
challengeIdentifier: '<string>',
firstFactor: {
kind: 'Fido2',
credentialAssertion: {
credId: '<string>',
clientData: '<string>',
signature: '<string>',
authenticatorData: '<string>',
algorithm: '<string>',
userHandle: '<string>'
}
}
})
};
fetch('https://testnet.edel-api.xyz/v1/auth/login/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "external-auth-login/v1",
"token": "<redacted>",
"walletState": "wallet_ready"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "request-id",
"code": "unauthorized",
"safeMessage": "A verified end-user session is required.",
"retryable": false,
"recoveryActions": [
"do_not_retry"
],
"occurredAtEpochMs": 0
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "request-id",
"code": "service_degraded",
"safeMessage": "Authentication dependencies are temporarily unavailable.",
"retryable": true,
"recoveryActions": [
"observe_status",
"retry_after"
],
"occurredAtEpochMs": 0
}Auth
Complete passkey login
Submits the signed WebAuthn challenge to DFNS and returns the DFNS end-user bearer only after DFNS accepts the assertion.
Method and path: POST /v1/auth/login/complete
Authentication: none.
Request schema: ExternalAuthLoginCompleteRequest.
Response schema: ExternalAuthLoginCompleteResponse.
Error envelope: ExternalRestError (external-rest-error/v1).
POST
/
v1
/
auth
/
login
/
complete
Complete passkey login
Body
application/json